# $Revision: 1.35 $, $Date: 2012/04/29 11:41:29 $
#
# Conditional build:
%bcond_with	autodeps	# don't BR packages needed only for resolving deps

%include	/usr/lib/rpm/macros.perl
Summary:	User & Group administration tools for Samba-OpenLDAP
Summary(pl.UTF-8):	Narzędzia do administracji użytkownikami i grupami dla Samby i OpenLDAP
Name:		smbldap-tools
Version:	0.9.7
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://download.gna.org/smbldap-tools/sources/0.9.7/%{name}-%{version}.tar.gz
# Source0-md5:	d9f169a77b527672778e4307091bec36
URL:		https://gna.org/projects/smbldap-tools/
Patch0:		%{name}-configure.patch
Patch1:		%{name}-krb5.patch
Patch2:		%{name}-no-client-cert.patch
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps}
BuildRequires:	perl-Crypt-SmbHash
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-ldap
%endif
Requires:	openldap
Requires:	samba
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In settings with OpenLDAP and Samba-LDAP servers, this collection is
useful to add, modify and delete users and groups, and to change Unix
and Samba passwords. In those context they replace the system tools to
manage users, groups and passwords.

%description -l pl.UTF-8
W połączeniu z OpenLDAP i serwerami Samba-LDAP ten zestaw narzędzi
jest użyteczny przy dodawaniu, modyfikowaniu i usuwaniu użytkowników i
grup oraz zmianie haseł w Uniksie i Sambie. W tym zastosowaniu mogą
zastąpić narzędzia systemowe do zarządzania użytkownikami, grupami i
hasłami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/smbldap-tools
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p smbldap.conf smbldap_bind.conf $RPM_BUILD_ROOT%{_sysconfdir}/smbldap-tools
install -p smbldap-config.cmd $RPM_BUILD_ROOT%{_sbindir}/smbldap-config
install -p smbldap-upgrade-0.9.6.cmd $RPM_BUILD_ROOT%{_sbindir}/smbldap-upgrade-0.9.6.pl

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 0.9.7-0
if [ "$1" -eq "2" ]; then ## Upgrade
	%{_sbindir}/smbldap-upgrade-0.9.6.pl || :
fi

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog FILES INFRA README INSTALL TODO
%doc doc/*.example doc/smbldap-tools.* doc/migration_scripts
%dir %{_sysconfdir}/smbldap-tools
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%attr(600,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%attr(755,root,root) %{_sbindir}/smbldap-config
%attr(755,root,root) %{_sbindir}/smbldap-groupadd
%attr(755,root,root) %{_sbindir}/smbldap-groupdel
%attr(755,root,root) %{_sbindir}/smbldap-grouplist
%attr(755,root,root) %{_sbindir}/smbldap-groupmod
%attr(755,root,root) %{_sbindir}/smbldap-groupshow
%attr(755,root,root) %{_sbindir}/smbldap-passwd
%attr(755,root,root) %{_sbindir}/smbldap-populate
%attr(755,root,root) %{_sbindir}/smbldap-useradd
%attr(755,root,root) %{_sbindir}/smbldap-userdel
%attr(755,root,root) %{_sbindir}/smbldap-userinfo
%attr(755,root,root) %{_sbindir}/smbldap-userlist
%attr(755,root,root) %{_sbindir}/smbldap-usermod
%attr(755,root,root) %{_sbindir}/smbldap-usershow
%attr(755,root,root) %{_sbindir}/smbldap-upgrade-0.9.6.pl
%{perl_vendorlib}/smbldap_tools.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smbldap-tools.spec,v $
Revision 1.35  2012/04/29 11:41:29  glen
- add trigger to upgrade to 0.9.7

Revision 1.34  2012/04/29 11:37:18  glen
- verbose files in sbindir; disable autodeps bcond (or drop it?)

Revision 1.33  2011/12/15 13:02:21  baggins
- rel 2
- fix no-client-cert.patch

Revision 1.32  2011/11/22 11:02:10  baggins
- rel 1

Revision 1.31  2011/11/22 10:35:17  baggins
- updated patches
- removed obsolete patches
- updated build system

Revision 1.30  2011/11/14 20:12:03  baggins
- fetch 0.9.7

Revision 1.29  2009/11/05 12:53:12  baggins
- rel 5
- fixed nasty typo in krb5 patch

Revision 1.28  2009/06/25 20:55:33  baggins
- rel 4
- properly handle K5KEY hash type (meaning password is stored as kerberos key)
- add basic kerberos settings on account creation

Revision 1.27  2009/06/25 09:52:57  baggins
- do not package junk

Revision 1.26  2009/06/25 09:50:13  baggins
- rel 3
- do not require client certificate

Revision 1.25  2009/06/22 14:51:16  baggins
- rel 2
- add kerberos objectclasses and required fields if kerberos configured

Revision 1.24  2009/06/18 14:05:32  baggins
- 0.9.6-pre1 (YES, it IS pre1, despite confusing file name)

Revision 1.23  2007/11/20 18:36:39  baggins
- moved migration scripts to doc

Revision 1.22  2007-11-20 16:28:22  baggins
- 0.9.5
- new URL
- install migration scripts

Revision 1.21  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.19  2006/09/19 21:20:34  glen
- use sourceforge addresses; rel 2

Revision 1.18  2006/09/19 14:32:16  qboosh
- removed COPYING from doc (just GPL)

Revision 1.17  2006/08/03 16:59:21  glen
- call nscd invalidate rather stopping/restarting whole nscd service. needs testing

Revision 1.16  2006/06/15 19:46:17  glen
- 0.9.2

Revision 1.15  2006/03/01 14:51:31  glen
- package smbldap-configure (useful to autoconfigure after smb.conf is properly setup), rel 4

Revision 1.14  2006/02/28 14:38:22  glen
- autogenerate perl deps
- noarch
- rel 3

Revision 1.13  2005/12/29 19:36:56  glen
- rel 2

Revision 1.12  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.11  2005/07/05 14:15:20  darekr
- missing dir

Revision 1.10  2005/07/05 14:13:52  glen
- rel 1; STBR (the one in ftp doesn't have any perl deps!)

Revision 1.9  2005/06/03 11:49:14  mwinkler
- wkoncu ... +req

Revision 1.8  2005/06/03 11:04:59  mwinkler
- some fixes, rel 0.2

Revision 1.7  2005/06/01 13:48:24  mwinkler
- up to 0.9.1, rel 0.1

Revision 1.6  2005/04/18 16:58:25  mwinkler
- doc scripts for migrate

Revision 1.5  2005/04/18 16:34:24  mwinkler
- requires openldap

Revision 1.4  2005/04/18 16:24:01  mwinkler
- more requires and patches

Revision 1.3  2005/04/18 16:17:21  mwinkler
- requires and small fix (nfy)

Revision 1.2  2005/04/18 16:09:19  mwinkler
- up to 0.8.1
- rel 0.1

Revision 1.1  2004/08/05 21:29:56  undefine
- initital pld version based on spec from
  http://samba.idealx.org/dist/redhat-9/smbldap-tools-0.8.5-1.src.rpm
